Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.queryframework
Class StoredFunctionCall

`java.lang.Object
DatabaseCall
oracle.toplink.queryframework.StoredProcedureCall
oracle.toplink.queryframework.StoredFunctionCall`

public class StoredFunctionCall
extends StoredProcedureCall

Purpose: Used to define a platform independent function call. Note that not all platforms support stored functions. This supports output parameters. Functions can also be called through custom SQL.

See Also:
  Serialized Form

Constructor Summary
`StoredFunctionCall()`

Method Summary
`void` | `setResult(java.lang.String name)` PUBLIC: Define the field name to be substitute for the function return.
`void` | `setResult(java.lang.String name, java.lang.Class type)` PUBLIC: Define the field name to be substitute for the function return.

Methods inherited from class oracle.toplink.queryframework.StoredProcedureCall
`addNamedArgument, addNamedArgument, addNamedArgumentValue, addNamedInOutputArgument, addNamedInOutputArgument, addNamedInOutputArgument, addNamedInOutputArgument, addNamedInOutputArgument, addNamedInOutputArgument, addNamedInOutputArgumentValue, addNamedOutputArgument, addNamedOutputArgument, addNamedOutputArgument, addNamedOutputArgument, addNamedOutputArgument, addUnamedArgument, addUnamedArgumentValue, addUnamedInOutputArgument, addUnamedInOutputArgument, addUnamedInOutputArgument, addUnamedInOutputArgument, addUnamedInOutputArgument, addUnamedInOutputArgumentValue, addUnamedOutputArgument, addUnamedOutputArgument, addUnamedOutputArgument, addUnamedOutputArgument, getProcedureName, isStoredProcedureCall, setProcedureName, toString, useNamedCursorOutputAsResultSet, useUnnamedCursorOutputAsResultSet`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StoredFunctionCall

    public StoredFunctionCall()

Method Detail

### setResult

    public void setResult(java.lang.String name)

  PUBLIC: Define the field name to be substitute for the function return.

### setResult

    public void setResult(java.lang.String name,
                          java.lang.Class type)

  PUBLIC: Define the field name to be substitute for the function return. The type is the type of Java class desired back from the function, this is dependent on the type returned from the function.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD